com.opensymphony.xwork2.interceptor

## Class ModelDrivenInterceptor.RefreshModelBeforeResult

- java.lang.Object
- - com.opensymphony.xwork2.interceptor.ModelDrivenInterceptor.RefreshModelBeforeResult

- All Implemented Interfaces:
    PreResultListener
  Enclosing class:
    ModelDrivenInterceptor

      protected static class ModelDrivenInterceptor.RefreshModelBeforeResult
      extends Object
      implements PreResultListener

  Refreshes the model instance on the value stack, if it has changed

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ModelDriven` | `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RefreshModelBeforeResult(ModelDriven action, Object model)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeResult(ActionInvocation invocation, String resultCode)` This callback method will be called after the `Action` execution and before the `Result` execution.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected ModelDriven action

  - ### Constructor Detail

    - #### RefreshModelBeforeResult

          public RefreshModelBeforeResult(ModelDriven action,
                                          Object model)

  - ### Method Detail

    - #### beforeResult

          public void beforeResult(ActionInvocation invocation,
                                   String resultCode)

      Description copied from interface: `PreResultListener`
      This callback method will be called after the `Action` execution and before the `Result` execution.
      Specified by:
        `beforeResult` in interface `PreResultListener`
      Parameters:
        `invocation` - the action invocation
        `resultCode` - the result code returned by the action (eg. `success`).

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.